import 'package:dartz/dartz.dart';
import '../../core/error/failures.dart';
import '../models/change_password_request.dart';
import '../models/general_response_model.dart';
import '../repositories/auth_repository.dart';

class ChangePasswordUseCase {
  final AuthRepository repository;

  ChangePasswordUseCase({required this.repository});

  Future<Either<Failure, GeneralResponseModel>> call(
    ChangePasswordRequest request,
  ) async {
    return await repository.changePassword(request);
  }
}
